LibreOffice LibreOffice 7.2 SDK API Reference

Public Member Functions | List of all members
XCertificateContainer Interface Reference

Manage user certificate for temporary connections. More...

`import"XCertificateContainer.idl";`

Inheritance diagram for XCertificateContainer:

## Public Member Functions
boolean | addCertificate ([in] string url, [in] string cert, [in] boolean trust)
| Store the certificate in memory. More...
CertificateContainerStatus | hasCertificate ([in] string url, [in] string cert)
| Check if a certificate was stored earlier before. More...

## Detailed Description

Manage user certificate for temporary connections.

See also
  CertificateContainer

Since
  OOo 2.3.1

## Member Function Documentation

## ◆ addCertificate()

boolean addCertificate | ( | [in] string | url,
|  | [in] string | cert,
|  | [in] boolean | trust
| ) |  |

Store the certificate in memory.

Parameters

  url |
  cert |
  trust |

Returns
  boolean

## ◆ hasCertificate()

CertificateContainerStatus hasCertificate | ( | [in] string | url,
|  | [in] string | cert
| ) |  |

Check if a certificate was stored earlier before.

Parameters

  url |
  cert |

Returns
  CertificateContainerStatus

The documentation for this interface was generated from the following file:

- com/sun/star/security/XCertificateContainer.idl